Query Contact Notes
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactNote/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groups: [
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
},
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
}
],
sortBy: '<string>',
descending: '<boolean>'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactNote/Query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactNote/Query"
payload = {
"groups": [{ "conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
}
] }, { "conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
}
] }],
"sortBy": "<string>",
"descending": "<boolean>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactNote/Query");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"groups\": [\n {\n \"conditions\": [\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n },\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n }\n ]\n },\n {\n \"conditions\": [\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n },\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"sortBy\": \"<string>\",\n \"descending\": \"<boolean>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactNote/Query';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groups: [
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
},
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
}
],
sortBy: '<string>',
descending: '<boolean>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 850021,
"contactId": 100234,
"createDateTimeUtc": "2025-10-05T15:12:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-10-05T15:12:00Z",
"modifiedByUser": "Development Team",
"noteDate": "2025-10-05",
"type": "Call",
"note": "Discussed year-end capital campaign gift; Marcus confirmed a $1,000 pledge payment by check.",
"important": true,
"isPrivate": false,
"createdByAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/development-team.png",
"reminder": {
"id": 860007,
"message": "Follow up on capital campaign pledge balance",
"targetDate": "2025-12-01",
"targetResolutionDateUtc": "2025-12-01T17:00:00Z",
"contactId": 100234,
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"contactDisplayName": "Marcus Castellano",
"contactAvatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234/Avatar",
"reminderType": "Task",
"reminderTypeDisplayName": "Task",
"taskStatus": "Open",
"taskStatusDisplayName": "Open",
"completeUrl": "https://api.virtuoussoftware.com/api/Reminder/Completed/860007",
"dismissUrl": "https://api.virtuoussoftware.com/api/Reminder/Dismissed/860007",
"description": "Follow up on capital campaign pledge balance",
"hasContact": true,
"isPastDue": false,
"isUnresolved": true,
"canComplete": true,
"completeActionName": "Complete",
"canCompleteWithNote": true,
"owner": "Development Team",
"ownerAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/development-team.png"
}
},
{
"id": 850033,
"contactId": 100456,
"createDateTimeUtc": "2025-11-02T10:20:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-02T10:20:00Z",
"modifiedByUser": "Development Team",
"noteDate": "2025-11-02",
"type": "Note",
"note": "Priya expressed interest in serving as a lead volunteer for Holiday Meals.",
"important": false,
"isPrivate": false,
"createdByAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/development-team.png",
"reminder": null
}
],
"total": 1287
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
Query Contact Notes
To see which options can be sent, use the Get Contact Note Query Options endpoint. If you’re going to consistently query for updated contact notes or new contact notes, don’t. Use a webhook instead. If requests are timing out, you may be asking for too many items at once. The max take is 1,000.
POST
/
api
/
ContactNote
/
Query
Query Contact Notes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10. Max is 1000.
Body
application/json
Last modified on August 11, 2026
Was this page helpful?
⌘I